Unverified Commit 8216c795 authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump lru from 0.6.6 to 0.7.0 (#4012)

Bumps [lru](https://github.com/jeromefroe/lru-rs) from 0.6.6 to 0.7.0.
- [Release notes](https://github.com/jeromefroe/lru-rs/releases)
- [Changelog](https://github.com/jeromefroe/lru-rs/blob/master/CHANGELOG.md)
- [Commits](https://github.com/jeromefroe/lru-rs/compare/0.6.6...0.7.0

)

---
updated-dependencies:
- dependency-name: lru
  dependency-type: direct:production
  update-type: version-update:semver-minor
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent f520483a
Pipeline #160796 canceled with stages
in 29 minutes and 40 seconds
......@@ -3643,7 +3643,7 @@ dependencies = [
"libp2p-core",
"libp2p-swarm",
"log",
"lru",
"lru 0.6.6",
"minicbor",
"rand 0.7.3",
"smallvec",
......@@ -3965,6 +3965,15 @@ dependencies = [
"hashbrown",
]
[[package]]
name = "lru"
version = "0.7.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "6c748cfe47cb8da225c37595b3108bea1c198c84aaae8ea0ba76d01dda9fc803"
dependencies = [
"hashbrown",
]
[[package]]
name = "lru-cache"
version = "0.1.2"
......@@ -4095,7 +4104,7 @@ version = "0.1.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "beeb98b3d1ed2c0054bd81b5ba949a0243c3ccad751d45ea898fa8059fa2860a"
dependencies = [
"lru",
"lru 0.6.6",
]
[[package]]
......@@ -5530,7 +5539,7 @@ dependencies = [
"ethereum-types",
"hashbrown",
"impl-trait-for-tuples",
"lru",
"lru 0.6.6",
"parity-util-mem-derive",
"parking_lot 0.11.1",
"primitive-types",
......@@ -5867,7 +5876,7 @@ dependencies = [
"derive_more",
"futures 0.3.17",
"futures-timer 3.0.2",
"lru",
"lru 0.7.0",
"parity-scale-codec",
"polkadot-erasure-coding",
"polkadot-node-network-protocol",
......@@ -5895,7 +5904,7 @@ dependencies = [
"futures 0.3.17",
"futures-timer 3.0.2",
"log",
"lru",
"lru 0.7.0",
"parity-scale-codec",
"polkadot-erasure-coding",
"polkadot-node-network-protocol",
......@@ -6013,7 +6022,7 @@ dependencies = [
"futures 0.3.17",
"futures-timer 3.0.2",
"lazy_static",
"lru",
"lru 0.7.0",
"parity-scale-codec",
"polkadot-erasure-coding",
"polkadot-node-network-protocol",
......@@ -6123,7 +6132,7 @@ dependencies = [
"futures-timer 3.0.2",
"kvdb",
"kvdb-memorydb",
"lru",
"lru 0.7.0",
"merlin",
"parity-scale-codec",
"parking_lot 0.11.1",
......@@ -6523,7 +6532,7 @@ dependencies = [
"futures 0.3.17",
"itertools",
"log",
"lru",
"lru 0.7.0",
"metered-channel",
"parity-scale-codec",
"pin-project 1.0.8",
......@@ -6550,7 +6559,7 @@ dependencies = [
"femme",
"futures 0.3.17",
"futures-timer 3.0.2",
"lru",
"lru 0.7.0",
"metered-channel",
"parity-util-mem",
"parking_lot 0.11.1",
......@@ -6860,7 +6869,7 @@ dependencies = [
"kvdb",
"kvdb-rocksdb",
"log",
"lru",
"lru 0.7.0",
"pallet-babe",
"pallet-im-online",
"pallet-mmr-primitives",
......@@ -8635,7 +8644,7 @@ dependencies = [
"linked-hash-map",
"linked_hash_set",
"log",
"lru",
"lru 0.6.6",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.8",
......@@ -8672,7 +8681,7 @@ dependencies = [
"futures-timer 3.0.2",
"libp2p",
"log",
"lru",
"lru 0.6.6",
"sc-network",
"sp-runtime",
"substrate-prometheus-endpoint",
......@@ -9554,7 +9563,7 @@ source = "git+https://github.com/paritytech/substrate?branch=master#125092f355c1
dependencies = [
"futures 0.3.17",
"log",
"lru",
"lru 0.6.6",
"parity-scale-codec",
"parking_lot 0.11.1",
"sp-api",
......
......@@ -10,7 +10,7 @@ futures-timer = "3.0.2"
parity-scale-codec = { version = "2.3.1", default-features = false, features = ["bit-vec", "derive"] }
tracing = "0.1.28"
bitvec = { version = "0.20.1", default-features = false, features = ["alloc"] }
lru = "0.6"
lru = "0.7"
merlin = "2.0"
schnorrkel = "0.9.1"
kvdb = "0.10.0"
......
......@@ -19,7 +19,7 @@ sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "maste
thiserror = "1.0.26"
rand = "0.8.3"
derive_more = "0.99.11"
lru = "0.6.6"
lru = "0.7.0"
[dev-dependencies]
polkadot-subsystem-testhelpers = { package = "polkadot-node-subsystem-test-helpers", path = "../../subsystem-test-helpers" }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
futures = "0.3.17"
lru = "0.6.6"
lru = "0.7.0"
rand = "0.8.3"
thiserror = "1.0.26"
tracing = "0.1.28"
......
......@@ -19,7 +19,7 @@ sc-network = { git = "https://github.com/paritytech/substrate", branch = "master
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.26"
lru = "0.6.6"
lru = "0.7.0"
[dev-dependencies]
async-trait = "0.1.51"
......
......@@ -17,7 +17,7 @@ polkadot-node-metrics = { path = "../metrics" }
polkadot-primitives = { path = "../../primitives" }
polkadot-overseer-gen = { path = "./overseer-gen" }
tracing = "0.1.28"
lru = "0.6"
lru = "0.7"
parity-util-mem = { version = ">= 0.10.1", default-features = false }
[dev-dependencies]
......
......@@ -68,7 +68,7 @@ thiserror = "1.0.26"
kvdb = "0.10.0"
kvdb-rocksdb = { version = "0.14.0", optional = true }
async-trait = "0.1.51"
lru = "0.6"
lru = "0.7"
# Polkadot
polkadot-node-core-parachains-inherent = { path = "../core/parachains-inherent" }
......
......@@ -15,7 +15,7 @@ rand = "0.8.3"
thiserror = "1.0.26"
tracing = "0.1.28"
derive_more = "0.99.11"
lru = "0.6.6"
lru = "0.7.0"
polkadot-node-subsystem = { package = "polkadot-node-subsystem", path = "../subsystem" }
polkadot-node-jaeger = { path = "../jaeger" }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment